Messaging · SMS
Fetches a carrier registration.
GET
https://api.pozy.ai/v1/sms/registrations/{id}getSmsRegistration
Guides: US 10DLC registration, SMS
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
idrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/sms/registrations/6bfebd43ddc270f6d2c56fc5" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/sms/registrations/6bfebd43ddc270f6d2c56fc5", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/sms/registrations/6bfebd43ddc270f6d2c56fc5",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
idstringregistrationTypestringOne of
standard_10dlc,sole_prop_10dlc,toll_free.statusstringOne of
pending,approved,rejected,requested,changes_requested,deactivated.brandStatusstringcampaignStatusstringdeclineReasonstringCan be null.
phoneNumbersarray of stringawaitingOtpbooleanadminReviewNotestringCan be null.
reviewRequestobjectOne of:
Sms Registration Review Request (3 fields)
idstringintrostringpointsarray of object4 child fields
idstringrequiredtitlestringrequireddetailstringrequiredanswerstringrequiredOne of
text,link,file,link_or_file.
campaignContentobjectmessageFlowstringsample1stringsample2string
200 response
{
"id": "6bfebd43ddc270f6d2c56fc5",
"registrationType": "standard_10dlc",
"status": "pending",
"brandStatus": "active",
"campaignStatus": "active",
"declineReason": "string",
"phoneNumbers": [
"+14155550123"
],
"awaitingOtp": true,
"adminReviewNote": "string",
"reviewRequest": {
"id": "6bfebd43ddc270f6d2c56fc5",
"intro": "string",
"points": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"title": "Launch day",
"detail": "string",
"answer": "text"
}
]
},
"campaignContent": {
"messageFlow": "Hello from Pozy",
"sample1": "string",
"sample2": "string"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in SMS
POSTSend an SMS/MMSGETLook up carrier + line typeGETList SMS opt-outsGETList alphanumeric sender IDsPOSTCreate an alphanumeric sender IDPOSTRequest a higher sender ID daily limitDELDelete an alphanumeric sender IDGETList carrier registrationsPOSTStart a carrier registrationPOSTPre-check a carrier registrationDELDeactivate a brand/campaign registrationPOSTSubmit the sole-prop OTPPOSTRe-send the sole-prop OTPPOSTAppeal a rejected campaignPOSTReply to a change requestPOSTUpload opt-in form proofPOSTUpload opt-in form proof for an appealPOSTCreate a registration share linkPOSTEnable SMS on a numberDELDisable SMS on a numberPOSTAdd number to SMS registration